Package com.databricks.jdbc.log

## Interface JdbcLogger

All Known Implementing Classes:
  `JulLogger`, `Slf4jLogger`

    public interface JdbcLogger

The interface defines logging methods for various levels of importance. Implementations of this interface can be used to integrate with different logging frameworks.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `debug​(String message)`
`void` `debug​(String format, Object... arguments)`
`void` `error​(String message)`
`void` `error​(String format, Object... arguments)`
`void` `error​(String message, Throwable throwable)`
`void` `error​(String format, Throwable throwable, Object... arguments)`
`void` `info​(String message)`
`void` `info​(String format, Object... arguments)`
`void` `trace​(String message)`
`void` `trace​(String format, Object... arguments)`
`void` `warn​(String message)`
`void` `warn​(String format, Object... arguments)`

### Method Detail

#### trace

    void trace​(String message)

#### trace

    void trace​(String format,
               Object... arguments)

#### debug

    void debug​(String message)

#### debug

    void debug​(String format,
               Object... arguments)

#### info

    void info​(String message)

#### info

    void info​(String format,
              Object... arguments)

#### warn

    void warn​(String message)

#### warn

    void warn​(String format,
              Object... arguments)

#### error

    void error​(String message)

#### error

    void error​(String format,
               Object... arguments)

#### error

    void error​(String message,
               Throwable throwable)

#### error

    void error​(String format,
               Throwable throwable,
               Object... arguments)